DH_GIREPOSITORY(1)

NAME
dh_girepository - compute dependencies for GObject introspection packages

SYNOPSIS
dh_girepository [debhelper options] [-ldirectory] [-pdirectory] [-Xitem] [private [...]]

DESCRIPTION
dh_girepository is a debhelper program to compute dependencies for packages shipping GObject introspection data.

The dependencies are generated in the ${gir:Depends} substitution variable.

The minimal version of the generated dependencies is calculated by looking first at the version of the packages declared in the build-dependencies of the building package. If a package is not declared in the build-dependencies, the minimal version of that package is calculated by looking at the version of the package containing the corresponding .gir file defined in the build-dependencies.

Note that dh_girepository will not be executed automatically by dh; you need to use "dh $@ --with gir" for "dh" to include it.

OPTIONS
Note that the -p option conflicts with the -p option defined by debhelper(7) (see Debian bug #703941 <https://bugs.debian.org/703941>). To run dh_girepository on a single package, use "dh_girepository --package=gir1.2-foo-1.0" instead of the usual -p.

-ldirectory
    Specify a directory (or a colon-separated list of directories) where to look for the .gir XML files that were used to generate the .typelib files that are scanned. This option is only necessary if those files are not shipped in another, architecture-dependent package.

-pdirectory
    Specify a directory (or a colon-separated list of directories) where to look for the dependencies. This is useful when a dependency ships the .typelib in a private directory.

-Xitem
    Exclude files that contain item anywhere in their filename from being analyzed.

private [...] List of directories where to look for typelibs and the corresponding .gir files. Useful when the package installs its typelibs in a private directory, such as /usr/lib/<package>. Library dependencies are also looked there, in case your typelib depends on a library that you ship on a private directory.

CONFORMS TO
GObject introspection mini policy as of 2011-03-30.

SEE ALSO
debhelper(7)

This program is a part of gobject-introspection but is made to work with debhelper.

AUTHOR
Josselin Mouette <joss@debian.org>